Skip to main content
PUT
/
apps
/
{appId}
/
extensions
/
message-shortcuts
/
v1
/
settings
Message Shortcuts Update settings
curl --request PUT \
  --url https://apimgmt.cometchat.io/apps/{appId}/extensions/message-shortcuts/v1/settings \
  --header 'Content-Type: application/json' \
  --header 'key: <key>' \
  --header 'secret: <secret>' \
  --data '{}'
import requests

url = "https://apimgmt.cometchat.io/apps/{appId}/extensions/message-shortcuts/v1/settings"

payload = {}
headers = {
"key": "<key>",
"secret": "<secret>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {key: '<key>', secret: '<secret>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://apimgmt.cometchat.io/apps/{appId}/extensions/message-shortcuts/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "statusCode": 200,
    "success": true,
    "responseTime": 1.8547508716583252,
    "body": {
      "data": {
        "settings": {
          "shortcuts": {
            "!cu": "See you later.",
            "!ty": "Hey! Thanks a lot! 😊",
            "!hbd": "Happy Birthday! 🥳",
            "!ssup": "What's up!?",
            "!wc": "You're welcome!"
          }
        }
      }
    }
  }
}

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

Body

application/json
settings
object

Response

200 - application/json

Update Message Shortcuts Settings

data
object